-injars nibiru_pay_lib.jar
-outjars nibiru_pay_lib_pro.jar

-libraryjars 'F:\Mark\develop\android.jar'
-libraryjars 'F:\Mark\develop\bouncycastle.jar'
-libraryjars 'F:\Mark\develop\Core.jar'
-libraryjars 'F:\Mark\develop\cmgamesdk.jar'
-libraryjars 'F:\Mark\develop\egameTvFeeSDK.jar'
-libraryjars 'F:\Mark\develop\nibiru_lib_2_6_1_9.jar'
-libraryjars 'F:\Mark\develop\PayPalAndroidSDK.jar'
-libraryjars 'F:\Mark\develop\SDK_MIBOX_2.0.0.jar'
-libraryjars 'F:\Mark\develop\libammsdk.jar'
-libraryjars 'F:\Mark\develop\alipaySdk-20151112.jar'

-target 1.6
-printmapping new_map.text
-useuniqueclassmembernames
-keepattributes Exceptions,InnerClasses,EnclosingMethod,Signature,*Annotation*,*JavascriptInterface*


-keep class * extends java.lang.annotation.Annotation {
    <fields>;
    <methods>;
}

-keep class * extends android.app.Application

-keep class * extends android.app.Service

-keep class * extends android.content.ContentProvider

-keep class * extends android.content.BroadcastReceiver

-keep class * extends android.app.Activity {
    public protected <fields>;
    public protected <methods>;
}

-keep class android.webkit.** {
    <fields>;
    <methods>;
}

-keep class com.alipay.android.app.** {
    <fields>;
    <methods>;
}

-keep class com.alipay.** {
    <fields>;
    <methods>;
}

-keep class com.ta.utdid2.** {
    <fields>;
    <methods>;
}

-keep class com.ut.device.** {
    <fields>;
    <methods>;
}

-keep public class * extends android.webkit.**

-keep public class * extends com.alipay.android.app.**

-keep class org.bouncycastle.** {
    <fields>;
    <methods>;
}

-keep public class * extends org.bouncycastle.**

-keep class android.support.v4.** {
    <fields>;
    <methods>;
}

-keep public class * extends android.support.v4.**

-keep public class * extends android.app.Fragment

-keep public class * extends android.os.Parcelable {
    public protected <fields>;
    public protected <methods>;
}

# interface
# -keep interface  * {
#     public <fields>;
#     public <methods>;
# }
-keep class com.nibiru.payment.NibiruAccount {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.payment.NibiruCheckUtil {
#     public protected <fields>;
#    public protected <methods>;
# }
-keep class com.nibiru.payment.NibiruPayment {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.payment.NibiruPaymentService$OnPaymentSeviceListener {
    public protected <fields>;
    public protected <methods>;
}

-keepclassmembers class com.nibiru.payment.UserLoginActivity {
    public <fields>;
    public <methods>;
}

-keepclassmembers class com.nibiru.payment.UserRegisterActivity {
    public <fields>;
    public <methods>;
}

-keep class com.nibiru.payment.UserLoginActivity$WebAppInterface {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.payment.UserRegisterActivity$WebAppInterface {
#    public protected <fields>;
#    public protected <methods>;
# }
-keep class com.nibiru.payment.NibiruPaymentService {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.payment.OnChargeResultListener {
#     public protected <fields>;
#     public protected <methods>;
# }
# -keep class com.nibiru.payment.OnEmailValidateProcessListener {
#     public protected <fields>;
#     public protected <methods>;
# }
-keep class com.nibiru.payment.OnLoginProcessListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.payment.OnOrderListListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.payment.OnPaymentResultListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.payment.OnRegisterProcessListener {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.payment.OnResetPasswordListener {
#     public protected <fields>;
#     public protected <methods>;
# }
-keep class com.nibiru.payment.PaymentClient {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.payment.PaymentException {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.payment.PaymentMethod {
#     public protected <fields>;
#     public protected <methods>;
# }
-keep class com.nibiru.payment.PaymentOrder {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.payment.PaymentUtil {
#     public protected <fields>;
#     public protected <methods>;
# }
-keep class com.nibiru.payment.INibiruPaymentService$Stub {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.payment.INibiruPaymentListener$Stub {
    public protected <fields>;
    public protected <methods>;
}

-keepclassmembers class * extends android.os.Parcelable {
    static android.os.Parcelable$Creator CREATOR;
}

-keepclasseswithmembers,allowshrinking class * {
    public <init>(android.content.Context,android.util.AttributeSet);
}

-keepclasseswithmembers,allowshrinking class * {
    public <init>(android.content.Context,android.util.AttributeSet,int);
}

# Keep - Applications. Keep all application classes, along with their 'main'
# methods.
-keepclasseswithmembers public class * {
    public static void main(java.lang.String[]);
}

# Keep - Library. Keep all public and protected classes, fields, and methods.
-keep public class com.nibiru.lib.BTDeviceControllerKey,com.nibiru.lib.BTDeviceController,com.nibiru.lib.BTDeviceController$*,com.nibiru.lib.BTStateEvent,com.nibiru.lib.BTStateEvent$* {
    public protected <fields>;
    public protected <methods>;
}

# Also keep - Enumerations. Keep the special static methods that are required in
# enumeration classes.
-keepclassmembers enum  * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

# Also keep - Serialization code. Keep all fields and methods that are used for
# serialization.
-keepclassmembers class * extends java.io.Serializable {
    static final long serialVersionUID;
    static final java.io.ObjectStreamField[] serialPersistentFields;
    private void writeObject(java.io.ObjectOutputStream);
    private void readObject(java.io.ObjectInputStream);
    java.lang.Object writeReplace();
    java.lang.Object readResolve();
}

# Keep names - Native method names. Keep all native class/method names.
-keepclasseswithmembers,allowshrinking class *,* {
    native <methods>;
}
