#-injars 'C:\Users\ZhangQi\Desktop\nibiru_lib.jar'
#-outjars 'C:\Users\ZhangQi\Desktop\nibiru_lib_pro.jar'

-injars 'C:\Users\Steven\Desktop\nibiru_lib.jar'
-outjars 'C:\Users\Steven\Desktop\nibiru_lib_pro.jar'

#-libraryjars 'D:\Android\android-sdk-windows\platforms\android-19\android.jar'
#-libraryjars 'D:\develop\libs\unity-classes.jar'

-libraryjars 'D:\Android\android-sdk-windows\platforms\android-19\android.jar'
-libraryjars 'D:\develop\libs\unity-classes.jar'

-target 1.6
-printmapping new_map.text
-useuniqueclassmembernames
-keepattributes Exceptions,InnerClasses,EnclosingMethod


# -keep public class * {
#   public protected <fields>;
#    public protected <methods>;
# }
-keep class * extends android.app.Application

-keep class * extends android.app.Service

-keep class * extends android.content.ContentProvider

-keep class * extends android.content.BroadcastReceiver

-keep class * extends android.app.Activity {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.alipay.android.app.** {
    <fields>;
    <methods>;
}

-keep public class * extends com.alipay.android.app.**

-keep class org.bouncycastle.** {
    <fields>;
    <methods>;
}

-keep public class * extends org.bouncycastle.**

-keep class android.support.v4.** {
    <fields>;
    <methods>;
}

-keep public class * extends android.support.v4.**

-keep public class * extends android.app.Fragment

-keep public class * extends android.os.Parcelable {
    public protected <fields>;
    public protected <methods>;
}

# interface
# -keep interface  * {
#     public <fields>;
#     public <methods>;
# }
-keep class com.nibiru.lib.controller.BaseEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.utils.NibiruRecomd {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.utils.NibiruRecomdService {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.TouchEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.utils.DownloadFileTask {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.controller.MouseEvent {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.utils.NibiruConfig {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.utils.PushPkgUnit {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.utils.NetworkTask {
    public protected <fields>;
    public protected <methods>;
}


-keep interface com.nibiru.lib.controller.OnSdkStateListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.controller.OnPoseEventListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.controller.OnPoseEventListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.StaticController {
    public protected <fields>;
    public protected <methods>;
}



-keep interface com.nibiru.lib.controller.ExchangeService {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.controller.ExchangeHostManager {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.ExchangeUnit {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.feedback.FeedbackService {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.feedback.FeedbackData {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.feedback.FeedbackEventData {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.feedback.FeedbackMotorData {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.feedback.FeedbackMotorData$MOTOR_LOC {
    public protected <fields>;
    public protected <methods>;
}


-keep interface com.nibiru.lib.feedback.OnFeedbackServiceListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.ControllerService {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.ControllerDeviceInfo {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.NibiruCheckUtil {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.BTUtil {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.IControllerInternalService {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.IControllerInternalService$OnInternalStateChanged {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.controller.ControllerService$OnConfigListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.ICombKeyManager {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.ControllerService$OnControllerSeviceListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.StickSimServiceHandler$OnStickSimChangeListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.CombKeyService$OnCombKeyListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnTouchListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnMouseListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnMotionSenseListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnAccListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnGyroListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnInputResultListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnSimpleStickListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnStateListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnBodyEventListener {
    public protected <fields>;
    public protected <methods>;
}


-keep interface  com.nibiru.lib.controller.OnCustomDataListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnExchangeFeedbackListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.SensorStateService {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnExchangeListListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnExchangeStateListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnHeadSensorListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnVoiceListener {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.controller.IBluexListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.InputData {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.InputTextType {
    public protected <fields>;
    public protected <methods>;
}

 -keep class com.nibiru.lib.BTUtil {
    public protected <fields>;
    public protected <methods>;
}
-keep class com.nibiru.lib.controller.CombKeyService {
    public protected <fields>;
    public protected <methods>;
    public protected void registerCombKey(com.nibiru.lib.controller.CombKeyService$CombKey);
    void registerCombKeys(com.nibiru.lib.controller.CombKeyService$CombKey[]);
}

-keep class com.nibiru.lib.controller.StickSimService {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.ControllerServiceException {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.controller.Controller {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.InternalController {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.IBluexService {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.GlobalLog {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.Feature {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.NibiruCheckUtil {
     public protected <fields>;
     public protected <methods>;
}

-keep class com.nibiru.lib.controller.ContinuesKeyService {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.ControllerService$POSE {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.controller.ControllerService$WEAR {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.spec.SpecEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.ExchangeUnit {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.ExchangeUnit$ExClientState {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.controller.OnReportListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.utils.ByteParser {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.utils.PushData{
 	public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.utils.OnServiceReadyListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.utils.OnDownloadProcessListener {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.utils.ControllerKeyMapManager$OnControllerKeyMapUpdateListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.CursorService {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.DpadService {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnSpecEventListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.spec.BrainEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.spec.BlinkEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.spec.ShoeEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.BodyEvent {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.spec.GestureEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.PoseEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep interface com.nibiru.lib.controller.OnKeyListener {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.ConnectionEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.ErrorEvent {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.lib.controller.CombKeyManager {
#    public protected <fields>;
#    public protected <methods>;
# }
# -keep class com.nibiru.lib.controller.ContinuesKeyManagerCursorServiceImpl {
#    public protected <fields>;
#    public protected <methods>;
# }
# -keep class com.nibiru.lib.controller.ControllerLooperServiceImpl {
#    public protected <fields>;
#    public protected <methods>;
# }
# -keep class com.nibiru.lib.controller.ControllerServiceImpl {
#   public protected <fields>;
#   public protected <methods>;
# }
-keep class com.nibiru.lib.controller.ControllerServiceState {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.lib.controller.CursorServiceImpl {
#    public protected <fields>;
#    public protected <methods>;
# }
# -keep interface com.nibiru.lib.controller.VRComponent{
#     public protected <fields>;
#     public protected <methods>;
# }
# -keep class com.nibiru.lib.controller.InstrumentThread {
#    public protected <fields>;
#    public protected <methods>;
# }
# -keep class com.nibiru.lib.controller.NibiruCheckUtil {
#    public protected <fields>;
#    public protected <methods>;
# }
-keep class com.nibiru.lib.controller.ReportEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep interface  com.nibiru.lib.controller.OnStickListener {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.lib.controller.StickSimServiceHandler {
#     public protected <fields>;
#     public protected <methods>;
# }
-keep class com.nibiru.lib.controller.SupportMotionEvent {
    public protected <fields>;
    public protected <methods>;
}

# -keep class com.nibiru.lib.controller.TouchPointer {
#     public protected <fields>;
#     public protected <methods>;
# }
# -keep class com.nibiru.lib.controller.CombKeyPlayerHandler {
#     public protected <fields>;
#     public protected <methods>;
# }
-keep class com.nibiru.lib.BTDevice {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.DriverDef {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.ControllerKeyEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.AccEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.GyroEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.NibiruInputEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.ControllerDevice {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.StickEvent {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.MotionSenseEvent {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.controller.CombKeyService$CombKey {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.StickSimService$StickSimConfig {
    public protected <fields>;
    public protected <methods>;
}

-keep class com.nibiru.lib.controller.IBluexService$Stub {
    public protected <fields>;
    public protected <methods>;
}

-keepclassmembers class * extends android.os.Parcelable {
    static android.os.Parcelable$Creator CREATOR;
}

-keepclasseswithmembers,allowshrinking class * {
    public <init>(android.content.Context,android.util.AttributeSet);
}

-keepclasseswithmembers,allowshrinking class * {
    public <init>(android.content.Context,android.util.AttributeSet,int);
}

# Keep - Applications. Keep all application classes, along with their 'main'
# methods.
-keepclasseswithmembers public class * {
    public static void main(java.lang.String[]);
}

# Keep - Library. Keep all public and protected classes, fields, and methods.
-keep public class com.nibiru.lib.BTDeviceControllerKey,com.nibiru.lib.BTDeviceController,com.nibiru.lib.BTDeviceController$*,com.nibiru.lib.BTStateEvent,com.nibiru.lib.BTStateEvent$* {
    public protected <fields>;
    public protected <methods>;
}

# Also keep - Enumerations. Keep the special static methods that are required in
# enumeration classes.
-keepclassmembers enum  * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

# Also keep - Serialization code. Keep all fields and methods that are used for
# serialization.
-keepclassmembers class * extends java.io.Serializable {
    static final long serialVersionUID;
    static final java.io.ObjectStreamField[] serialPersistentFields;
    private void writeObject(java.io.ObjectOutputStream);
    private void readObject(java.io.ObjectInputStream);
    java.lang.Object writeReplace();
    java.lang.Object readResolve();
}

# Keep names - Native method names. Keep all native class/method names.
-keepclasseswithmembers,allowshrinking class *,* {
    native <methods>;
}
