#-injars 'C:\Users\ZhangQi\Desktop\nibiru_vr_lib.jar'
#-outjars 'C:\Users\ZhangQi\Desktop\nibiru_vr_lib_pro.jar'

-injars 'E:\Nibiru\SDK-VR\libs\nibiru_vr_shell.jar'
-outjars 'E:\Nibiru\SDK-VR\libs\nibiru_vr_shell_pro.jar'

#-libraryjars 'D:\Android\android-sdk-windows\platforms\android-23\android.jar'
#-libraryjars 'D:\develop\libs\unity-classes.jar'

-libraryjars 'D:\Android\android-sdk-windows\platforms\android-23\android.jar'
-libraryjars 'D:\develop\libs\unity-classes.jar'
-libraryjars 'D:\develop\libs\nibiru_lib_pro.jar'
-libraryjars 'D:\develop\libs\cardboard.jar'

-target 1.7
-printmapping new_map.text
-useuniqueclassmembernames
-keepattributes Exceptions,InnerClasses,EnclosingMethod
-ignorewarnings


# -keep public class * {
#   public protected <fields>;
#    public protected <methods>;
# }
-keep class * extends android.app.Application

-keep class * extends android.app.Service

-keep class * extends android.content.ContentProvider

-keep class * extends android.content.BroadcastReceiver

-keep class * extends android.app.Activity {
    public protected <fields>;
    public protected <methods>;
}

-keep class * extends android.opengl.GLSurfaceView {
    public protected <fields>;
    public protected <methods>;
}


-keep class com.nibiru.lib.vr.SimpleOverlayView {
   public <fields>;
   public <methods>;
}

-keep class com.nibiru.lib.vr.HeadInfo {
   public <fields>;
   public <methods>;
}

-keep class com.nibiru.lib.vr.NVREye {
   public <fields>;
   public <methods>;
}

-keep class com.nibiru.lib.vr.NVRUtils{
   public <fields>;
   public <methods>;
}

-keep class com.nibiru.lib.vr.NibiruVRManager{
   public <fields>;
   public <methods>;
}

-keep interface com.nibiru.lib.vr.NibiruVRClient{
   public <fields>;
   public <methods>;
}

-keep interface com.nibiru.lib.vr.StereoRenderer{
   public <fields>;
   public <methods>;
}

-keep class com.nibiru.lib.vr.NVRViewPort{
    <fields>;
    <methods>;
}

-keep class com.nibiru.vrconfig.NVRConfig{
   public <fields>;
   public <methods>;
}

-keep class com.nibiru.lib.vr.NibiruVR1Activity{
   public <fields>;
   public <methods>;
}


-keepclassmembers class * extends android.os.Parcelable {
    static android.os.Parcelable$Creator CREATOR;
}

-keepclasseswithmembers,allowshrinking class * {
    public <init>(android.content.Context,android.util.AttributeSet);
}

-keepclasseswithmembers,allowshrinking class * {
    public <init>(android.content.Context,android.util.AttributeSet,int);
}

# Keep - Applications. Keep all application classes, along with their 'main'
# methods.
-keepclasseswithmembers public class * {
    public static void main(java.lang.String[]);
}

# Keep - Library. Keep all public and protected classes, fields, and methods.
-keep public class com.nibiru.lib.BTDeviceControllerKey,com.nibiru.lib.BTDeviceController,com.nibiru.lib.BTDeviceController$*,com.nibiru.lib.BTStateEvent,com.nibiru.lib.BTStateEvent$* {
    public protected <fields>;
    public protected <methods>;
}

# Also keep - Enumerations. Keep the special static methods that are required in
# enumeration classes.
-keepclassmembers enum  * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

# Also keep - Serialization code. Keep all fields and methods that are used for
# serialization.
-keepclassmembers class * extends java.io.Serializable {
    static final long serialVersionUID;
    static final java.io.ObjectStreamField[] serialPersistentFields;
    private void writeObject(java.io.ObjectOutputStream);
    private void readObject(java.io.ObjectInputStream);
    java.lang.Object writeReplace();
    java.lang.Object readResolve();
}

# Keep names - Native method names. Keep all native class/method names.
-keepclasseswithmembers,allowshrinking class *,* {
    native <methods>;
}
